# $Revision: 1.12 $, $Date: 2005/09/17 10:44:59 $
Summary:	C++ class library for symbolic calculations
Summary(pl):	Biblioteka klas C++ do oblicze symbolicznych
Name:		GiNaC
Version:	1.3.1
Release:	2
License:	GPL
Group:		Libraries
Source0:	ftp://ftpthep.physik.uni-mainz.de/pub/GiNaC/%{name}-%{version}.tar.bz2
# Source0-md5:	40c160ad313977293e5fea2acab09518
Patch0:		%{name}-info.patch
URL:		http://www.ginac.de/
BuildRequires:	automake
BuildRequires:	cln-devel >= 1.1
BuildRequires:	readline-devel
BuildRequires:	texinfo
Requires:	cln >= 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra
System)") is an open framework for symbolic computation within the C++
programming language.

%description -l pl
GiNaC (co oznacza "GiNaC is Not a CAS (Computer Algebra System)") to
otwarty szkielet do oblicze symbolicznych w jzyku programowania C++.

%package devel
Summary:	Header files and more to develop GiNaC applications
Summary(pl):	Pliki nagwkowe i inne do tworzenia aplikacji GiNaC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cln-devel >= 1.1

%description devel
This package contains include files and other resources you can use
to develop GiNaC applications.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe i inne zasoby, ktrych mona
uywa do rozwiajania aplikacji opartych na GiNaC.

%package static
Summary:	Static GiNaC library
Summary(pl):	Statyczna biblioteka GiNaC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GiNaC library.

%description static -l pl
Statyczna biblioteka GiNaC.

%package utils
Summary:	GiNaC-related utilities
Summary(pl):	Narzdzia zwizane z GiNaC
Group:		Applications/Science
Requires:	%{name} = %{version}-%{release}

%description utils
This package includes the ginsh ("GiNaC interactive shell") which
provides a simple and easy-to-use CAS-like interface to GiNaC for
non-programmers, and the tool "viewgar" which displays the contents of
GiNaC archives.

%description utils -l pl
Ten pakiet zawiera ginsh (interaktywn powok GiNaC, ktora udostpnia
prosty i atwy w uyciu, podobny do CAS interfejs do GiNaC dla osb
nie bdcych programistami) oraz narzdzie viewgar, wywietlajce
zawarto archiww GiNaC.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure
%{__make}

%{__make} check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%preun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ginac-config
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/ginac
%{_infodir}/*.info*
%{_mandir}/man1/ginac-config.1*
%{_aclocaldir}/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ginsh
%attr(755,root,root) %{_bindir}/viewgar
%{_mandir}/man1/ginsh.1*
%{_mandir}/man1/viewgar.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GiNaC.spec,v $
Revision 1.12  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.11  2005/05/19 22:29:59  qboosh
- updated to 1.3.1, added info patch

Revision 1.10  2004/11/01 13:56:44  qboosh
- updated to 1.3.0, segv patch seems obsolete

Revision 1.9  2004/08/03 19:19:31  qboosh
- added segv patch, fixed build on amd64, -devel deps; release 2

Revision 1.8  2004/06/27 12:38:04  grzegol
- updated to 1.2.1

Revision 1.7  2003/11/11 02:31:00  qboosh
- BR: automake (only for _aclocaldir macro expansion)

Revision 1.6  2003/06/23 09:44:52  qboosh
- fixed install - now builds

Revision 1.5  2003/06/10 11:07:32  qboosh
- there is no ginac.png, added missing preamble for -static

Revision 1.4  2003/06/06 20:18:41  qboosh
- pl, missing dir, finished demandrakization

Revision 1.3  2003/06/06 12:41:41  qboosh
- updated contact addresses

Revision 1.2  2003/05/30 14:46:39  qboosh
- killed some of mandrakisms, added md5

Revision 1.1  2003/05/30 14:30:26  qboosh
- added lost spec

Revision 1.2  2003/05/24 22:35:21  kloczek
- partialy rewrited.

Based on spec file from MDK.
